
Foreman - Bug #1840

Help button shouldn't be shown if help page is missing.

08/28/2012 03:16 AM - Nacho Barrientos

Status: Closed   

Priority: Low   

Assignee: Sam Kottler   

Category: Web Interface   

Target version: 1.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I'm on commit 938e78d647f943f0987c992c2f924dd81cba55b3.

nacho@ndnd: (develop) [0]

~/dev/foreman/app/views $ grep help_path compute_resources/index.html.erb 

<% title_actions display_link_if_authorized("New Compute Resource", hash_for_new_compute_resource_

path), help_path %>

nacho@ndnd: (develop) [0]

~/dev/foreman/app/views $ ls compute_resources/welcome*

ls: cannot access compute_resources/welcome*: No such file or directory

 (the obvious alternative is to write a welcome page ;)

Cheers.

Associated revisions

Revision 3e33d71f - 09/04/2012 10:44 AM - Sam Kottler

fixes #1840 Only show the help button if a help page exists

History

#1 - 08/28/2012 03:18 AM - Ohad Levy

Great! when do we get it ? ;)

#2 - 09/03/2012 12:38 AM - Sam Kottler

- Assignee set to Sam Kottler

This is really easy. Assigning it to myself to do this week.

#3 - 09/03/2012 11:29 PM - Sam Kottler

- Status changed from New to Feedback

I've submitted a pull request with a proposed fix - https://github.com/theforeman/foreman/pull/146.

#4 - 09/04/2012 10:45 AM - Ohad Levy

- Category changed from Compute resources to Web Interface

- Status changed from Feedback to Assigned

- Target version set to 1.1

#5 - 09/04/2012 01:32 PM - Anonymous

- Status changed from Assigned to Closed
https://github.com/theforeman/foreman/pull/146


- % Done changed from 0 to 100

Applied in changeset 3e33d71fe6953cd35960ee3cea34d810322899a9.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3e33d71fe6953cd35960ee3cea34d810322899a9
http://www.tcpdf.org

